Vert.x 2.x is deprecated - use instead
Clojure Java
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
api
docs
examples
lang-module
tools
.gitignore
CONTRIBUTING.md
ChangeLog.md
LICENSE.txt
README.md Update README.md Nov 2, 2016
pom.xml

README.md

Vert.x 2.x is deprecated - use instead https://vertx.io

mod-lang-clojure

The Clojure language implementation for Vert.x 2.x

Usage

First, you'll need to install Vert.x.

The latest stable release is 1.0.5. Vert.x 2.1.2 ships with 1.0.2, so you will need update VERTX_HOME/conf/langs.properties to use 1.0.5 if you want the latest. Change:

clojure=io.vertx~lang-clojure~1.0.2:io.vertx.lang.clojure.ClojureVerticleFactory

to

clojure=io.vertx~lang-clojure~1.0.5:io.vertx.lang.clojure.ClojureVerticleFactory

Every commit triggers a CI build, and we publish a SNAPSHOT when that succeeds. So if you would rather run the latest commit, update your langs.properties with:

clojure=io.vertx~lang-clojure~1.0.6-SNAPSHOT:io.vertx.lang.clojure.ClojureVerticleFactory

Note that this module only works with Vert.x 2.1RC3 or greater.

Documentation

Examples

See the offical examples repo.

License

mod-lang-clojure is licensed under the Apache License, v2.0. See LICENSE.txt for details.